Bug 142511 - [GTK] Compiling webkit-gtk-2.6.5 - error: 'INTPTR_MAX' was not declared in this scope
Summary: [GTK] Compiling webkit-gtk-2.6.5 - error: 'INTPTR_MAX' was not declared in th...
Status: RESOLVED DUPLICATE of bug 140616
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-09 15:37 PDT by spam
Modified: 2015-09-04 08:41 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spam 2015-03-09 15:37:27 PDT
[  5%] Building CXX object Source/JavaScriptCore/CMakeFiles/JavaScriptCore.dir/bytecode/CodeBlockJettisoningWatchpoint.cpp.o
cd /var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/Source/JavaScriptCore && /usr/bin/i686-pc-linux-gnu-g++  -DBUILDING_GTK__=1 -DBUILDING_JavaScriptCore -DBUILDING_WITH_CMAKE=1 -DDATA_DIR=\"share\" -DENABLE_3D_RENDERING=1 -DENABLE_PLUGIN_PROCESS_GTK2=1 -DGETTEXT_PACKAGE=\"WebKit2GTK-4.0\" -DHAVE_CONFIG_H=1 -DJavaScriptCore_EXPORTS -DMOZ_X11=1 -DSTATICALLY_LINKED_WITH_WTF -DUSER_AGENT_GTK_MAJOR_VERSION=601 -DUSER_AGENT_GTK_MINOR_VERSION=1 -DWEBKITGTK_API_VERSION_STRING=\"4.0\" -DWTF_PLATFORM_X11=1 -DWTF_USE_3D_GRAPHICS=1 -DWTF_USE_EGL=1 -DWTF_USE_GLX=1 -DWTF_USE_GSTREAMER -DWTF_USE_GSTREAMER_MPEGTS -DWTF_USE_OPENGL=1 -DWTF_USE_TEXTURE_MAPPER=1 -DWTF_USE_TEXTURE_MAPPER_GL=1 -DWTF_USE_WEBAUDIO_GSTREAMER -DXP_UNIX  -DNDEBUG -O2 -march=pentium4 -pipe  -std=c++11 -fPIC -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/API -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/ForwardingHeaders -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/assembler -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/bindings -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/builtins -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/bytecode -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/bytecompiler -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/dfg -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/disassembler -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/ftl -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/heap -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/debugger -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/inspector/agents -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/inspector/remote -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/interpreter -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/jit -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/llint -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/llvm -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/parser -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/profiler -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/replay -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/runtime -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/tools -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/yarr -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/WTF -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/DerivedSources -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/DerivedSources/ForwardingHeaders -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/DerivedSources/JavaScriptCore -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/DerivedSources/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source -I/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/disassembler/udis86 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -Wall -Wextra -Wcast-align -Wformat-security -Wmissing-format-attribute -Wpointer-arith -Wundef -Wwrite-strings  -o CMakeFiles/JavaScriptCore.dir/bytecode/CodeBlockJettisoningWatchpoint.cpp.o -c /var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/bytecode/CodeBlockJettisoningWatchpoint.cpp
In file included from /var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/bytecode/CodeBlock.cpp:62:0:
/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/runtime/TypeProfiler.h: In constructor 'JSC::QueryKey::QueryKey(WTF::HashTableDeletedValueType)':
/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/runtime/TypeProfiler.h:56:22: error: 'INTPTR_MAX' was not declared in this scope
/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/runtime/TypeProfiler.h: In member function 'bool JSC::QueryKey::isHashTableDeletedValue() const':
/var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkitgtk-2.6.5/Source/JavaScriptCore/runtime/TypeProfiler.h:60:65: error: 'INTPTR_MAX' was not declared in this scope
/usr/bin/cmake -E cmake_progress_report /var/tmp/portage/net-libs/webkit-gtk-2.6.5/work/webkit-gtk-2.6.5_build/CMakeFiles

Compiling with gcc-4.7.3 and glibc-2.17
Comment 1 spam 2015-03-09 15:51:32 PDT
Please note that I have no idea what to put at "Version" in this bug report
Comment 2 spam 2015-03-10 00:50:37 PDT
Kept glibc at 2.17, gcc switch from 4.7.3 to 4.8.4 -> compilation gets past this issue
Comment 3 Pacho Ramos 2015-03-10 13:26:48 PDT
Maybe dupe of bug 139588
Comment 4 Michael Catanzaro 2015-09-04 08:41:03 PDT
Nowadays GCC 4.9 is required
Comment 5 Michael Catanzaro 2015-09-04 08:41:36 PDT

*** This bug has been marked as a duplicate of bug 140616 ***